org.eclipse.actf.util.httpproxy.core

## Interface IHTTPResponseMessage

All Superinterfaces:
  IHTTPMessage

All Known Subinterfaces:
  IHTTPResponsePushbackMessage

    public interface IHTTPResponseMessage
    extends IHTTPMessage

A HTTP response message.

### Field Summary

Fields
`static byte[]` `EMPTY_BODY`

### Fields inherited from interface org.eclipse.actf.util.httpproxy.core.IHTTPMessage

`CR, DEFAULT_INITIAL_BUFFER_SIZE, HT, INIT_NUM_HEADERS, LF, SP`

### Method Summary

Methods
`byte[]` `getReasonPhraseAsBytes()` Gets the reason phrase of this response message.
`String` `getReasonPhraseAsString()` Gets the reason phrase of this response message.
`byte[]` `getStatusCodeAsBytes()` Gets the status code of this response message.
`String` `getStatusCodeAsString()` Gets the status code of this response message.

### Methods inherited from interface org.eclipse.actf.util.httpproxy.core.IHTTPMessage

`addTrailingHeader, getHeader, getHeaderAsBytes, getHeaders, getHTTPVersionAsBytes, getHTTPVersionAsString, getMessageBody, getSerial, getTid, isChunkedEncoding, isConnectionToBeClosed, isHTTPVersion1_1, removeHeader, setChunkedEncoding, setConnectionHeader, setHeader, setTid, write, writeBody`

### Field Detail

#### EMPTY_BODY

    static final byte[] EMPTY_BODY

### Method Detail

#### getStatusCodeAsString

    String getStatusCodeAsString()

Gets the status code of this response message.

Returns:
  status code as a String

#### getStatusCodeAsBytes

    byte[] getStatusCodeAsBytes()

Gets the status code of this response message.

Returns:
  status code as an array of bytes

#### getReasonPhraseAsString

    String getReasonPhraseAsString()

Gets the reason phrase of this response message.

Returns:
  reason phrase as a String

#### getReasonPhraseAsBytes

    byte[] getReasonPhraseAsBytes()

Gets the reason phrase of this response message.

Returns:
  reason phrase as an array of bytes